package com.bootdo.blog.service;

import com.bootdo.blog.domain.ContentDO;
import com.bootdo.portal.vo.IndexCarouselVO;
import com.bootdo.portal.vo.NameAndCountVO;
import com.bootdo.portal.vo.PoliciesAndRegulationsVO;

import java.util.List;
import java.util.Map;

/**
 * 文章内容
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2017-09-09 10:03:34
 */
public interface ContentService {
	
	ContentDO get(Long cid);
	
	List<ContentDO> list(Map<String, Object> map);

    int count(Map<String, Object> map);

    int save(ContentDO bContent);

    int update(ContentDO bContent);

    int remove(Long cid);

    int batchRemove(Long[] cids);

    /**
     * 获取首页轮播数据
     *
     * @return
     */
    List<IndexCarouselVO> getCarousel();

    /**
     * 根据位置获取文章数据列表
     *
     * @param position
     * @return
     */
    List<IndexCarouselVO> getArticleByTags(Integer position);

    /**
     * 获取 上报数据最多的企业前四
     *
     * @return
     */
    List<NameAndCountVO> getPopularEnterprise();


    /**
     * 统计热门行业数据列表
     *
     * @return
     */
    List<NameAndCountVO> getPopularIndustry();

    /**
     * 门户获取政策法规列表
     *
     * @param parameter
     * @return
     */
    List<PoliciesAndRegulationsVO> portalPoliciesRegulations(Map<String, Object> parameter);

    /**
     * 门户获取政策法规总数量
     *
     * @param parameter
     * @return
     */
    Long portalPoliciesRegulationsCount(Map<String, Object> parameter);
}
